--------------------------------------------------
-- dusty szene with lua script
--------------------------------------------------

-- create an new container
-- x, y, z, colormode, enable temperature
c = dusty.newcontainer(30,30,10,COLOR,0)

dusty.savealpha(true)
dusty.set_backcolor(0,0,0)

c:set_timestep(0.5)
c:enable_bound(true)
c:enable_vort(true)
c:set_vort(0.14)
--c:set_alphascale(0.8)
c:set_alphascale(0.7)
c:set_dissipate(0.16)
c:set_densscale(1.0)
c:set_diff(0.00003)
c:showworld(false)

c:set_pathtrace(RUNGE)
--c:set_pathtrace(EULER)

--c:rotate(0.4,0.5,1,0)

-- create some sourceobjects
-- x, y, z, name

s11 = c:newsource(16,1,5,"source11")
s11:set_force(0,4,0)
s11:set_dens(20,10,0)
s11:set_show(false)

s12 = c:newsource(15,1,5,"source12")
s12:set_force(0,4,0)
s12:set_dens(20,10,0)
s12:set_show(false)
