--------------------------------------------------
-- dusty szene with lua script
--------------------------------------------------

DELAY = 0.06

--dusty.internstep(false)
dusty.savealpha(false)

-- create an new container
-- x, y, z, colormode, enable temperature
c = dusty.newcontainer(24,24,24,MONO,USETEMP)
--c = dusty.newcontainer(24,24,24,MONO,0)

c:set_bound(B_BN,B_SLIP)

c:set_timestep(0.5)
c:enable_bound(true)
c:enable_vort(false)
c:set_vort(0.05)
c:set_alphascale(0.7)
--c:set_alphascale(1.0)
c:set_dissipate(0.08)
c:set_densscale(1.0)

--c:set_pathtrace(RUNGE)
c:set_pathtrace(EULER)

--c:rotate(0.4,0.5,1,0)

-- create some sourceobjects
-- x, y, z, name
s1 = c:newsource(12,1,12,"source1")
s1:set_force(0,4,0)
s1:set_dens(40,10,0)
s1:set_temp(55)

p1 = {5,10,4}
p2 = {12,13,20}

o = c:newobject(BOX,p1,p2,"box1",25)

p1 = {15,8,8}
p2 = {22,16,16}

o1 = c:newobject(BOX,p1,p2,"box2",25)

dusty.voxelize()



