--------------------------------------------------
-- dusty szene with lua script
--------------------------------------------------

DELAY = 0.06

--dusty.internstep(false)
dusty.savealpha(false)

-- create an new container
-- x, y, z, colormode, enable temperature
--c = dusty.newcontainer(24,24,24,MONO,USETEMP)
c = dusty.newcontainer(24,24,24,MONO,0)

c:set_bound(B_BN,B_SLIP)

c:set_timestep(0.5)
c:enable_bound(true)
c:enable_vort(false)
c:set_vort(0.05)
c:set_alphascale(0.7)
--c:set_alphascale(1.0)
c:set_dissipate(0.07)
c:set_densscale(1.0)

--c:set_pathtrace(RUNGE)
c:set_pathtrace(EULER)

--c:rotate(0.4,0.5,1,0)

-- create some sourceobjects
-- x, y, z, name
s1 = c:newsource(8,1,12,"source1")
s1:set_force(0,5,0)
s1:set_dens(20,10,0)
s1:set_temp(55)

p1 = {3,3,1}
p2 = {6,17,24}

o = c:newobject(BOX,p1,p2,"box1",25)

p1 = {3,17,15}
p2 = {6,19,24}

o = c:newobject(BOX,p1,p2,"box1.1",25)

p1 = {3,17,1}
p2 = {6,19,8}

o = c:newobject(BOX,p1,p2,"box1.2",25)

p1 = {3,19,1}
p2 = {22,21,24}

o1 = c:newobject(BOX,p1,p2,"box2",25)

p1 = {12,1,1}
p2 = {14,14,24}

o2 = c:newobject(BOX,p1,p2,"box3",25)

p1 = {18,3,1}
p2 = {20,19,24}

o3 = c:newobject(BOX,p1,p2,"box4",25)

dusty.voxelize()



