--------------------------------------------------
-- dusty szene with lua script
--------------------------------------------------

DELAY = 0.06

--dusty.internstep(false)
dusty.savealpha(false)

-- create an new container
-- x, y, z, colormode, enable temperature
c = dusty.newcontainer(30,15,10,MONO,0)

c:set_bound(B_BN,B_SLIP)

c:set_timestep(0.27)
c:enable_bound(true)
c:enable_vort(true)
c:set_vort(0.05)
c:set_alphascale(0.7)
--c:set_alphascale(1.0)
c:set_dissipate(0.0)
c:set_densscale(1.0)
c:set_diff(0.00003)
c:set_visc(0.00011)

--c:set_pathtrace(RUNGE)
c:set_pathtrace(EULER)

-- create some sourceobjects
-- x, y, z, name
s1 = c:newsource(1,2,5,"source1")
s1:set_force(15,0,0)
s1:set_dens(40,10,0)

--pa = c:newpsource(3,3,5,"particle1")
pb = c:newpsource(3,4,5,"particle2")

p1 = {10,6,0}
p2 = {12,15,10}

o = c:newobject(BOX,p1,p2,"box1",25)

p1 = {17,0,0}
p2 = {19,9,10}

o1 = c:newobject(BOX,p1,p2,"box2",25)

dusty.voxelize()



